Page MenuHomePhabricator

opensearch: Querying for "Big" or "Big!" should include "Big" or "Big!" as first suggestion
Closed, ResolvedPublic

Description

The following pages all exist on en.wikipedia.org:

  • [[Bird]]
  • [[Big]]
  • [[Big!]]
  • [[Big Ten Conference]]

When querying action=opensearch for:

In the last two, "Big" and "Big!" are nowhere in the response.

Filing against Wikimedia for now, because this seems related to one of our search backends, not plain MediaWiki core or plain MediaWiki core with Extension:TitleKey installed.

This is currently causing issues in VisualEditor when making a link to a page called "Big", or "Big!" as it will think the page doesn't exist and suggest to make a red link, as, thus far, we've always assumed that if a page by the exact title exists, it should be the first suggestion.

It normalising casing and/or special characters is fine, but shouldn't make it not give an exact match as first result.


Version: unspecified
Severity: major
Whiteboard: cirrus-fixed

Details

Reference
bz58309

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:41 AM
bzimport added a project: MediaWiki-Search.
bzimport set Reference to bz58309.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Dec 11 2013, 4:33 AM

I'm pretty sure 'OpenSearchXml' is not the right component. Also, cc-ing search people.

Some good news, at least. Cirrus does what you'd expect. If you have a page named "Big!" and type "Big!" into the search box it'll return Big! as the suggestion.

demon removed a subscriber: demon.Aug 19 2015, 4:20 PM
Restricted Application added a project: Discovery. · View Herald TranscriptAug 19 2015, 4:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana closed this task as Resolved.Nov 10 2016, 6:31 PM
Deskana claimed this task.
Deskana added a project: Discovery-Search.
Deskana set Security to None.
Deskana added a subscriber: Deskana.

This issue is now fixed.